using VentaUniformes.Domain.Entities.User;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VentaUniformes.Persistencia.Configurations
{
    public class UserConfiguration
    {
        public UserConfiguration( EntityTypeBuilder<UserEntity> entityBuilder) {
            entityBuilder.ToTable("User");
            entityBuilder.HasKey(x => x.Id);
            entityBuilder.Property(x => x.UserName).IsRequired();
            entityBuilder.Property(x => x.Role).IsRequired();
            entityBuilder.Property(x => x.Password).IsRequired();




        }
    }
}
